Skip to main content
POST
Use this endpoint to create a Payout Link using customer’s contact details such as email id or mobile number. You can choose to send the Payout Link to either contact details. Know more about Payout Links.

Request Parameters

string
required
The account from which you want to make the payout.
Account details can be found on the RazorpayX Dashboard. For example, 7878780080316316.
  • Pass your customer identifier if you want money to be deducted from RazorpayX Lite.
  • Pass your current account number if you want money to be deducted from your current account.
Watch Out!
  • This is NOT your contact’s bank account number. Log in to your RazorpayX Dashboard and go to My Account & Settings → Banking → Customer Identifier.
  • This value is different for Test Mode and Live Mode.
object
required
Details of the contact to whom the Payout Link is to be sent. Do not pass the id parameter.
string
required


Use this only if you are not using the id parameter.

The contact’s name. This field is case-sensitive. A minimum of 3 characters and a maximum of 50 characters are allowed. Name cannot end with a special character, except .. Supported characters: a-z, A-Z, 0-9, space, , - , _ , / , ( , ) and , .. For example, Gaurav Kumar.For example, Gaurav Kumar.
string
Use this only if you are not using the id parameter. The contact’s phone number. For example, 9000090000.
string
required
Use this only if you are not using the id parameter. The contact’s email address. For example, gaurav.kumar@example.com.
string
Use this only if you are not using the id parameter. Classification for the contact being created. For example, employee.

The following classifications are available by default:
  • vendor
  • customer
  • employee
  • self
Additional classifications can be created via the Dashboard and then used in APIs. It is not possible to create new classifications via the API.
integer
required
The amount, in paise, to be transferred from the business account to the contact’s fund account. For example, pass 1000000 to transfer an amount of ₹10,000. The minimum value that can be passed is 100.

The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
required
The currency in which the payout is being made. Here, it is INR.
string
required
The purpose of the payout that is being created via the Payout Link. For example, refund.

Classifications available by default:
  • refund
  • cashback
  • payout
  • salary
  • utility bill
  • vendor bill
Additional purposes for payouts can be created via the Dashboard and then used in the API. You cannot create new payout purposes via the API.
string
required
Add a description to communicate the context of the Payout Link to the recipient. For example, Cashback for Mr. Gaurav Kumar on the purchase on Earl Grey Tea.
string
A user-entered receipt number for the payout. For example, Receipt No. 1.
boolean
Possible values:
  • true: Razorpay sends the Payout Link to the provided contact number via SMS.
  • false (default): You send the Payout Link to the contact via SMS.
boolean
Possible values:
  • true: Razorpay sends the Payout Link to the provided email address via email.
  • false (default): You send the Payout Link to the contact via email.
object
User-entered notes for internal reference. This is a key-value pair. You can enter a maximum of 15 key-value pairs. For example, "note_key": "Beam me up Scotty”.
integer
Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time.

This value is returned only if you have enabled expiry feature for Payout Links. Know more about how to set expiry to Payout Links.

Response Parameters

string
The unique identifier of the Payout Link that is created. For example, poutlk_00000000000001.
string
The entity being created. Here it will be payout_link.
object
Details of the contact to whom the Payout Link is to be sent.
string
The contact’s name. For example, Gaurav Kumar.
string
Classification of the contact being created. For example, employee.
string
The contact’s phone number. For example, 9000090000.
string
The contact’s email address. For example, gaurav.kumar@example.com.
string
The purpose of the payout. For example, refund, cashback or payout.
string
The Payout Link status. Possible values:
integer
The amount, in paise, to be transferred from the business account to the contact’s fund account.

The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
string
The currency in which the payout is being made. Here, it is INR.
string
A user-entered description for the Payout Link. For example, Payout link for Gaurav Kumar.
string
A short link for the Payout Link that was created. This is the link that is shared with the contact.
integer
Timestamp, in Unix, when the Payout Link was created.
string
The unique identifier of the contact to whom the Payout Link has to be sent. For example, cont_00000000000001.
boolean
Possible values:
  • true: SMS sent to the provided contact number.
  • false: SMS could not be sent to the provided contact number. This could be because the contact number provided was wrong.
boolean
Possible values:
  • true: Email sent to the provided email address.
  • false: Email could not be sent to the provided email address. This could be because the email address provided was wrong.
string
The unique identifier of the contact’s fund account to which the payout will be made. For example, fa_00000000000001.

Fund Account id is returned only when the Payout Link moves to the processing state.
string
The unique identifier for the payout made to the contact. For example, pout_00000000000001.

This value is returned only when the Payout Link moves to the processed state.
integer
Timestamp, in Unix, when the Payout Link was cancelled by you. This value is returned only when the Payout Link moves to the cancelled state.
integer
The number of attempts to complete the payout. For example, 0.
string
A user-entered receipt number for the payout. For example, Receipt No. 1.
object
User-entered notes for internal reference. This is a key-value pair. For example, "note_key": "Beam me up Scotty”.
integer
Timestamp, in Unix, when the Payout Link was to expire. This is set at the time of creation of the Payout Link and is set at least 15 minutes ahead of the current time.

This value is returned only if you have enabled the expiry feature for Payout Links. Know how to set expiry to Payout Links.
integer
Timestamp, in Unix, when the Payout Link expired. This is set at the time of creation of the Payout Link.